Bug 885366 - garted does not work on USB flash because no partition table, just FS
Summary: garted does not work on USB flash because no partition table, just FS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 22:03 UTC by Milan Kerslager
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:42:43 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2012-12-08 22:03:26 UTC
gparted does not work on raw device, for example on stock USB stick, because there could be no partition table by default.

This is not possible to change FS label or UUID of this device (even this is possible in MS Windows). gpartes is trying to change properties of the first partition even there is none.

gparted-0.12.0-4.fc18.x86_64

Comment 1 Fedora End Of Life 2013-04-03 14:18:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora Update System 2013-06-11 16:36:32 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 3 Fedora Update System 2013-06-11 16:37:30 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 4 Fedora Update System 2013-06-11 16:38:22 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 5 Fedora Update System 2013-06-12 02:37:19 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-20 09:42:43 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-20 09:48:26 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-20 09:49:15 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.